Summary: Tool for controlling the Linux TUN/TAP driver
Name: tunctl
Version: 1.5
Release: r0.0
License: GPLv2
Group: net
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Provides: elf(buildid) = 8f24c1424985d5121f4d6f1cfde92cbd5fbbb2b0

%description
Tool for controlling the Linux TUN/TAP driver.

%package -n tunctl-dbg
Summary: Tool for controlling the Linux TUN/TAP driver - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: tunctl = 1.5-r0.0

%description -n tunctl-dbg
Tool for controlling the Linux TUN/TAP driver.  This package contains ELF
symbols and related sources for debugging purposes.

%package -n tunctl-staticdev
Summary: Tool for controlling the Linux TUN/TAP driver - Development files (Static Libraries)
Group: devel
Requires: tunctl-dev = 1.5-r0.0

%description -n tunctl-staticdev
Tool for controlling the Linux TUN/TAP driver.  This package contains
static libraries for software development.

%package -n tunctl-dev
Summary: Tool for controlling the Linux TUN/TAP driver - Development files
Group: devel
Requires: tunctl = 1.5-r0.0
Suggests: libc6-dev

%description -n tunctl-dev
Tool for controlling the Linux TUN/TAP driver.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n tunctl-doc
Summary: Tool for controlling the Linux TUN/TAP driver - Documentation files
Group: doc

%description -n tunctl-doc
Tool for controlling the Linux TUN/TAP driver.  This package contains
documentation.

%package -n tunctl-locale
Summary: Tool for controlling the Linux TUN/TAP driver
Group: net

%description -n tunctl-locale
Tool for controlling the Linux TUN/TAP driver.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/tunctl"

%files -n tunctl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/sbin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/tunctl"
%dir "/usr/src/debug/tunctl/1.5-r0"
%dir "/usr/src/debug/tunctl/1.5-r0/tunctl-1.5"
"/usr/src/debug/tunctl/1.5-r0/tunctl-1.5/tunctl.c"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/tunctl"

%files -n tunctl-dev
%defattr(-,-,-,-)

